src/main/java/ar/gob/run/spring/model/IntervencionIntegral.java
package ar.gob.run.spring.model;

import java.io.Serializable;
import java.sql.Clob;
import java.util.Date;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.Lob;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import org.hibernate.annotations.GenericGenerator;

import ar.gob.run.spring.model.usuario.Usuario;

@Entity
@Table(name="T_INTERV_PROT_INTEGRAL")
public class IntervencionIntegral extends ObjetoABM implements Serializable, Intervencion{

	private static final long serialVersionUID = 1L;

	private Integer id;
	private Zonal zonal;
	private Local local;
	private Date fecha;
	private Derivador derivador;
	private TipoIntervencion tipoIntervencion = new TipoIntervencion();
	private MotivoIntervencion motivoIntervencion = new MotivoIntervencion();
	private String informe;
	private Legajo legajo;
	private String archivoAdjunto;
	
	@Override
	public void setId(Integer id) {
		this.id=id;
	}

    @Id
    @GenericGenerator(name = "increment", strategy = "increment")
    @GeneratedValue(generator = "increment")
    @Column(name="ID_INTERV_PROT_INTEGRAL")
	@Override
	public Integer getId() {
		return id;
	}

	@ManyToOne(fetch=FetchType.EAGER)
	@JoinColumn(name="ID_ZONAL")
	public Zonal getZonal() {
		return zonal;
	}

	public void setZonal(Zonal zonal) {
		this.zonal = zonal;
	}

	@ManyToOne(fetch=FetchType.EAGER)
	@JoinColumn(name="ID_LOCAL")
	public Local getLocal() {
		return local;
	}

	public void setLocal(Local local) {
		this.local = local;
	}
	
	@Column(name="FECHA")
	public Date getFecha() {
		return fecha;
	}

	public void setFecha(Date fecha) {
		this.fecha = fecha;
	}

	@ManyToOne(fetch=FetchType.EAGER)
	@JoinColumn(name="ID_DERIVADOR")
	public Derivador getDerivador() {
		return derivador;
	}

	public void setDerivador(Derivador derivador) {
		this.derivador = derivador;
	}

	@ManyToOne(fetch=FetchType.EAGER)
	@JoinColumn(name="ID_TIPO_INTERVENCION")
	public TipoIntervencion getTipoIntervencion() {
		return tipoIntervencion;
	}

	public void setTipoIntervencion(TipoIntervencion tipoIntervencion) {
		this.tipoIntervencion = tipoIntervencion;
	}

	@Lob
	@Column(columnDefinition="text", name="INFORME")
	public String getInforme() {
		return informe;
	}

	public void setInforme(String informe) {
		this.informe = informe;
	}

	@ManyToOne(fetch=FetchType.EAGER)
	@JoinColumn(name="ID_LEGAJO")
	public Legajo getLegajo() {
		return legajo;
	}

	public void setLegajo(Legajo legajo) {
		this.legajo = legajo;
	}

	@ManyToOne(fetch=FetchType.EAGER)
	@JoinColumn(name="ID_MOTIVO_INTERVENCION")
	public MotivoIntervencion getMotivoIntervencion() {
		return motivoIntervencion;
	}

	public void setMotivoIntervencion(MotivoIntervencion motivoIntervencion) {
		this.motivoIntervencion = motivoIntervencion;
	}

	@Override
	public int compareTo(Intervencion o) {
		if ( this.fecha!= null && o.getFecha()!= null && this.fecha.compareTo(o.getFecha()) != 0)  this.fecha.compareTo(o.getFecha());
		if (this.tipoIntervencion!=null && o.getTipoIntervencion()!=null && this.tipoIntervencion.compareTo(o.getTipoIntervencion()) != 0) return this.tipoIntervencion.compareTo(o.getTipoIntervencion()) ;
		if (this.legajo!=null && o.getLegajo()!=null && this.legajo.getCodigo()!=null && o.getLegajo().getCodigo()!=null &&
				this.legajo.getCodigo().compareTo(o.getLegajo().getCodigo())!=0)
			return this.legajo.getCodigo().compareTo(o.getLegajo().getCodigo());
		return this.getId().compareTo(o.getId());
	}

	@Column(name="ARCHIVO_ADJUNTO")
	public String getArchivoAdjunto() {
		return archivoAdjunto;
	}

	public void setArchivoAdjunto(String archivoAdjunto) {
		this.archivoAdjunto = archivoAdjunto;
	}

	
	public IntervencionIntegral(){
		super();
	}
	
	public IntervencionIntegral(Integer id, Date fecha, Integer idLegajo,
			String codigo,
			String nombre, String tpoInterv,
			String archivo, String usrAlta){
		super();
		this.fecha = fecha;
		this.id = id;
		this.legajo = new Legajo();
		this.legajo.setCodigo(codigo);
		this.legajo.setApellidoYNombre(nombre);
		this.setTipoIntervencion(new TipoIntervencion());
		this.getTipoIntervencion().setDescripcion(tpoInterv);
		this.archivoAdjunto = archivo;
		this.getDatosAuditoria().setUsuarioAlta(new Usuario());
		this.getDatosAuditoria().getUsuarioAlta().setUserName(usrAlta);
		this.legajo.setId(idLegajo);
		
	}

}

src/main/java/ar/gob/run/spring/model/legajo/EstadoCausaJudicial.java
package ar.gob.run.spring.model.legajo;

public enum EstadoCausaJudicial {

	SE_DESCONOCE("Se desconoce"), ABIERTA("Abierta"), CERRADA("Cerrada");
	
	String descripcion;

	private EstadoCausaJudicial(String descripcion) {
		this.descripcion = descripcion;
	}
	
	public String getDescripcion(){
		return this.descripcion;
	}
	
}

src/main/java/ar/gob/run/spring/model/legajo/EstadoDocumento.java
package ar.gob.run.spring.model.legajo;

public enum EstadoDocumento {
	
	POSEE_DOCUMENTO("Posee documento"), POSEE_DOC_EXTRANJERO("Posee documento extranjero"),
	NO_POSEE_DOCUMENTO("No posee documento"), SE_DESCONOCE("Se desconoce"),EN_TRAMITE("En trámite"), PERDIDO("Perdido");

	private String descripcion;
	
	
	private EstadoDocumento(String descripcion) {
		this.descripcion = descripcion;
	}
	
	public String getDescripcion(){
		return this.descripcion;
	}
}

src/main/java/ar/gob/run/spring/model/legajo/EstadoEscolaridad.java
package ar.gob.run.spring.model.legajo;

public enum EstadoEscolaridad {

	ES("Escolarizado"), NC("No concurre"),
	NE("No escolarizado"), ND("No corresponde por edad"),
	SD("Se desconoce");
	
	private String descripcion;

	private EstadoEscolaridad(String descripcion) {
		this.descripcion = descripcion;
	}

	public String getDescripcion() {
		return descripcion;
	}
	
	
	
}

src/main/java/ar/gob/run/managedControllers/AlertaManagedBean.java
package ar.gob.run.managedControllers;

import java.io.Serializable;
import java.util.List;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.ManagedProperty;
import javax.faces.bean.ViewScoped;

import org.springframework.security.core.context.SecurityContextHolder;

import ar.gob.run.spring.model.Alerta;
import ar.gob.run.spring.model.usuario.Rol;
import ar.gob.run.spring.model.usuario.Usuario;
import ar.gob.run.spring.security.MySecUser;
import ar.gob.run.spring.service.AlertaService;

@ManagedBean(name="alertaMB")
@ViewScoped
public class AlertaManagedBean implements Serializable{

	private static final long serialVersionUID = 3588506260878419736L;

    @ManagedProperty(value="#{AlertaService}")
    AlertaService alertaService;

	public AlertaService getAlertaService() {
		return alertaService;
	}

	public void setAlertaService(AlertaService alertaService) {
		this.alertaService = alertaService;
	}
	
    public List<Alerta> getList(){
    	Usuario usuario = ((MySecUser)SecurityContextHolder.getContext().getAuthentication().getPrincipal()).getUsuario();
		return alertaService.getAlertas();
    }
    
    
    public String mostrarAlertas(){
    	Usuario usuario = ((MySecUser)SecurityContextHolder.getContext().getAuthentication().getPrincipal()).getUsuario();
    	if (usuario.hasRole(Rol.ADMIN) || usuario.hasRole(Rol.ZONAL) ||
    			usuario.hasRole(Rol.SUPERVISOR))
    		return "true";
    	return "false";
    }
    
    public String mostrarAlertasPorVencer(){
    	Usuario usuario = ((MySecUser)SecurityContextHolder.getContext().getAuthentication().getPrincipal()).getUsuario();
    	if ( usuario.hasRole(Rol.ZONAL))
    		return "true";
    	return "false";
    }
}

src/main/java/ar/gob/run/managedControllers/LegajoManagedBean.java
package ar.gob.run.managedControllers;

import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Date;
import java.util.List;

import javax.faces.application.FacesMessage;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ManagedProperty;
import javax.faces.bean.SessionScoped;
import javax.faces.context.FacesContext;
import javax.faces.event.ActionEvent;

import org.apache.commons.io.FileUtils;
import org.apache.commons.io.FilenameUtils;
import org.primefaces.event.FileUploadEvent;
import org.primefaces.event.SelectEvent;
import org.primefaces.model.DefaultStreamedContent;
import org.primefaces.model.StreamedContent;
import org.springframework.security.core.context.SecurityContextHolder;
import org.springframework.util.StringUtils;

import ar.gob.run.spring.model.EstadoDesconocePoseeONo;
import ar.gob.run.spring.model.EstadoDesconoceSIoNO;
import ar.gob.run.spring.model.IntervencionExcepcional;
import ar.gob.run.spring.model.IntervencionIntegral;
import ar.gob.run.spring.model.IntervencionMEP;
import ar.gob.run.spring.model.IntervencionPAE;
import ar.gob.run.spring.model.Legajo;
import ar.gob.run.spring.model.Local;
import ar.gob.run.spring.model.Localidad;
import ar.gob.run.spring.model.Municipio;
import ar.gob.run.spring.model.NivelEducacion;
import ar.gob.run.spring.model.Persona;
import ar.gob.run.spring.model.Provincia;
import ar.gob.run.spring.model.Zonal;
import ar.gob.run.spring.model.legajo.EstadoDocumento;
import ar.gob.run.spring.model.legajo.EstadoEscolaridad;
import ar.gob.run.spring.model.legajo.RelacionVincular;
import ar.gob.run.spring.model.legajo.TipoProblematicaSalud;
import ar.gob.run.spring.model.usuario.Rol;
import ar.gob.run.spring.security.MySecUser;
import ar.gob.run.spring.service.CommonService;
import ar.gob.run.spring.service.LegajoService;
import ar.gob.run.spring.service.LocalService;
import ar.gob.run.spring.service.LocalidadService;
import ar.gob.run.spring.service.MunicipioService;
import ar.gob.run.spring.service.ProvinciaService;
import ar.gob.run.spring.service.ZonalService;

@ManagedBean(name="legajoMB")
@SessionScoped
public class LegajoManagedBean extends GenericManagedBean<Legajo> {

	private static final long serialVersionUID = 1L;

	private static final String NUEVO_LEGAJO = "nuevoLegajo";
	private static final String EDITOR_LEGAJO = "editorLegajo";
	
	@ManagedProperty(value="#{legajoService}")
    LegajoService legajoService;
	
	RelacionVincular relacionVincular;
	Persona familiarSeleccionado;
	Persona familiarDNISeleccionado;
	
	List<Legajo> listByParam;
	
    @ManagedProperty(value="#{commonService}")
	CommonService commonService;
    
    //logica zonal-local dependiente
	@ManagedProperty(value="#{zonalService}")
	ZonalService zonalService;

	@ManagedProperty(value="#{localService}")
	LocalService localService;
	List<Local> locales;
	
    //	logica provincia-muni-localidad dependiente
  	@ManagedProperty(value="#{provinciaService}")
  	ProvinciaService provinciaService;

  	@ManagedProperty(value="#{municipioService}")
  	MunicipioService municipioService;
  	
  	@ManagedProperty(value="#{localidadService}")
  	LocalidadService localidadService;
  	
  	List<Provincia> provincias;
  	List<Municipio> municipios;
  	List<Localidad> localidades;
    
	Zonal zonalParam;
	String idTipoMPE;
	Boolean porVencer;
	Boolean masDe180;

	Boolean valPuedeEditar = null;

    public CommonService getCommonService() {
		return commonService;
	}

	public void setCommonService(CommonService commonService) {
		this.commonService = commonService;
	}

	public LegajoService getLegajoService() {
		return legajoService;
	}

	public void setLegajoService(LegajoService service) {
		this.setService(service);
		this.legajoService = service;
	}

	@Override
	public Legajo getInstance() {		
		return super.instance;
	}

	public LegajoManagedBean() {
		super(new Legajo());
	}

	@Override
	public String save() {
		if (getInstance().getFechaNacimiento()!=null &&
				getInstance().getFechaNacimiento().after(new Date())){
			FacesMessage message = new FacesMessage(FacesMessage.SEVERITY_ERROR, 
					"La fecha de nacimiento no puede ser posterior al día de la fecha", "");
			FacesContext.getCurrentInstance().addMessage(null, message);
			return "";
		}
		if (getInstance().getCodigo() ==null || getInstance().getCodigo().equals("")){
			getInstance().setCodigo(getLegajoService().getNuevoCodigo(getInstance()));
			if (!StringUtils.isEmpty(getInstance().getNroDocumento())){
				getInstance().setEstadoDoc(EstadoDocumento.POSEE_DOCUMENTO);
				if (getLegajoService().existeLegajo(getInstance().getNroDocumento(), getInstance().getCodigo(),getInstance().getId())){
					FacesMessage message = new FacesMessage(FacesMessage.SEVERITY_ERROR, 
							"El numero de documento que intenta ingresar ya existe", "");
					FacesContext.getCurrentInstance().addMessage(null, message);
					return "";
				}
			}
		}else{
			String strMessage="";
			if (StringUtils.isEmpty(getInstance().getTelefono())){
				strMessage = "Telefono del contacto esta vacio";
			}
			if (StringUtils.isEmpty(getInstance().getDireccion()))
				strMessage += (StringUtils.isEmpty(strMessage)?"":",")+ "Dirección del contacto esta vacio";
			if (!StringUtils.isEmpty(getInstance().getNroDocumento()) && getLegajoService().existeLegajo(getInstance().getNroDocumento(), getInstance().getCodigo(),getInstance().getId())){
				FacesMessage message = new FacesMessage(FacesMessage.SEVERITY_ERROR, 
						"El numero de documento que intenta ingresar ya existe", "");
				FacesContext.getCurrentInstance().addMessage(null, message);
				return "";
			}
			if (!strMessage.equals("")){
				FacesMessage message = new FacesMessage(FacesMessage.SEVERITY_WARN, strMessage, "");
				FacesContext.getCurrentInstance().addMessage(null, message);
			}			
		}
		return super.save();
	}
	
	@Override
	public String edit(Legajo ent){
		Integer id = null;
		if (ent!=null)
			id = ent.getId();
		else
			id = this.instance.getId();
		
		if (id==null)
			return "/";
		
		this.instance = this.getLegajoService().get(id);
    	//ent = null es un workaround para volver de agregado de interv
		//y que se refresque el listado de interv en la pantalla de leg
		return "/legajo/editorLegajo.xhtml";
    }
    
	@Override
    public String reset() {
    	this.instance = getNewInstance();
    	MySecUser usr = (MySecUser)SecurityContextHolder.getContext().getAuthentication().getPrincipal();
    	if (usr.getUsuario().hasRole(Rol.LOCAL)){
    		if (usr.getUsuario().getZonal()!=null)
    			this.instance.setZonal(usr.getUsuario().getZonal());
    		if (usr.getUsuario().getLocal()!=null)
    			this.instance.setLocal(usr.getUsuario().getLocal());
    	}
        return NUEVO_LEGAJO;
    }
	
	public void actualizarDatosDoc(){
		EstadoDocumento newValue = getInstance().getEstadoDoc();
		if (newValue.equals(EstadoDocumento.POSEE_DOCUMENTO)){
			getInstance().setTipoDocumento("DNI");
		}else{
			getInstance().setTipoDocumento("");
			if (!newValue.equals(EstadoDocumento.POSEE_DOC_EXTRANJERO))
				getInstance().setNroDocumento("");
		}
		
		if (!newValue.equals(EstadoDocumento.NO_POSEE_DOCUMENTO)){
			getInstance().setConstanciaDeParto(false);
			getInstance().setPartidaNacimiento(false);
			getInstance().setSeIntervEnSuGestion(false);
		}
	}


	@Override
	public void setName(String name) {
		this.setName("Legajo");
		
	}

    public String vinculoSeleccionado(ActionEvent event) {
        return null;
    }

    public String getFullName(){
    	if (instance!=null)
    		return instance.getCodigo() + " - " + instance.getApellidoYNombre();
    	return "";
    }
   
	
	public void setZonalService(ZonalService zonalService) {
		this.zonalService = zonalService;
	}
	
	public List<Zonal> getZonales(){
		return zonalService.getZonales(this.instance.getZonal());
	}
	
    public void onZonalChange() {
        if(this.instance.getZonal() !=null && this.instance.getZonal().getId()!=null)
        	locales = localService.getLocales(this.instance.getZonal(),this.instance.getLocal());
        else
        	locales = new ArrayList<Local>();
    }
	
	public void setLocalService(LocalService localService) {
		this.localService = localService;
	}
	
	public List<Local> getLocales(){
		if (locales == null) locales = new ArrayList<Local>();
		return locales;
	}
	
	public void actualizarObraSocial(){
		EstadoDesconocePoseeONo newValue = getInstance().getEstadoObraSocial();
		if (!newValue.equals(EstadoDesconocePoseeONo.POSEE)){
			getInstance().setObraSocial(null);
		}
		
	}
	
	public void actualizarProblSalud(){
		EstadoDesconoceSIoNO newValue = getInstance().getEstadoProblSalud();
		if (!newValue.equals(EstadoDesconoceSIoNO.SI)){
			getInstance().setDetalleProblSalud("");
			getInstance().setProblematicaSalud(TipoProblematicaSalud.SIN_VALOR);
		}
		
	}

	public void actualizarEscolarizado(){
		EstadoEscolaridad newValue = getInstance().getEscolarizado();
		if (!newValue.equals(EstadoEscolaridad.ES)){
			getInstance().setNivelEducacion(NivelEducacion.SIN_VALOR);
			getInstance().setEstablecimientoEscolarizado("");
		}
		
	}
	
	private Boolean editandoRelacionVincular = false;
	public RelacionVincular getRelacionVincular() {
		if (relacionVincular==null)
			this.relacionVincular= new RelacionVincular();
		return relacionVincular;
	}

	public void setRelacionVincular(RelacionVincular relacionVincular) {
		this.relacionVincular = relacionVincular;
	}
	
	public Persona getFamiliarSeleccionado() {
		if (familiarSeleccionado == null)
			familiarSeleccionado = new Persona();
		return familiarSeleccionado;
	}

	public void setFamiliarSeleccionado(Persona familiarSeleccionado) {
		this.familiarSeleccionado = familiarSeleccionado;
	}
	
	public Persona getFamiliarDNISeleccionado() {
		return familiarDNISeleccionado;
	}

src/main/webapp/legajo/intervencionIntegral/listado.xhtml
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	template="/templates/template.xhtml">
	<ui:define name="content">
	<style type="text/css">
		.xlsExport {
    		background-image: url(images/xls.svg) !important
    		
		}
	</style>	
    <h:form>
        <p:outputLabel value="Medidas de Protección Integral"/>
        <p:separator />
		<p:dataTable widgetVar="tabla" id="intervencionIntegralLst" var="ent" value="#{intervencionIntegralMB.list}"  emptyMessage="No hay resultados para esa busqueda"
				rows="25" paginator="true" paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown} {Exporters}"
				filteredValue="#{intervencionIntegralMB.filteredList}">
            
        	<f:facet name="{Exporters}">
	            <p:commandButton icon="ui-icon-extlink" value="Exportar xls..." ajax="false" immediate="true" style="float: right !important;margin-right: 5px !important;" >
	                <p:dataExporter  type="xls" target="intervencionIntegralLst" fileName="medidasPI" />
	            </p:commandButton>
            </f:facet>              
            
            <f:facet name="header">
	            <p:outputPanel>
	                <p:outputLabel value="Buscar por Código, Apellido y Nombre:" />
	                <p:inputText id="globalFilter" onkeyup="PF('tabla').filter()" style="width:250px" placeholder="Ingrese su busqueda..."/>
	            </p:outputPanel>
        	</f:facet>
            
            <p:column  headerText="Fecha" >
                <p:outputLabel value="#{ent.fecha}" >
                	<f:convertDateTime pattern="dd/MM/yyyy" />
                </p:outputLabel>
            </p:column>
            
            <p:column filterBy="#{ent.legajo.codigo}" headerText="Legajo"  filterMatchMode="contains">
                <p:outputLabel value="#{ent.legajo.codigo}" />
            </p:column>

            <p:column filterBy="#{ent.legajo.apellidoYNombre}" headerText="Nombre"  filterMatchMode="contains">
                <p:outputLabel value="#{ent.legajo.apellidoYNombre}" />
            </p:column>

            <p:column filterBy="#{ent.tipoIntervencion.descripcion}" headerText="Tipo Intervención" filterMatchMode="contains">
                <p:outputLabel value="#{ent.tipoIntervencion.fullName}"  />
            </p:column>
            
            <p:column headerText="Archivo Adjunto" exportable="false">
                <p:commandButton value="Descargar..." ajax="false" 
							onclick="PrimeFaces.monitorDownload(start, stop);" 
							icon="ui-icon-arrowthick-1-s" immediate="true"
							rendered="#{not empty ent.archivoAdjunto}">
        				<p:fileDownload  value="#{fileUploaderMB.downloadFile(ent.archivoAdjunto)}" />
    				</p:commandButton>
            </p:column>
            
            <p:column headerText="Usuario Alta">
                <p:outputLabel value="#{ent.datosAuditoria.usuarioAlta.userName}" />
            </p:column>
            
            <p:column exportable="false">
                <f:facet name="header">
                    <p:outputLabel value="Editar/Consultar" />
                </f:facet>
                <p:commandButton id="editII" action="#{intervencionIntegralMB.edit(ent)}" ajax="false" icon="#{intervencionIntegralMB.puedeEditar(ent)?'ui-icon-pencil':'ui-icon-search'}" >
                </p:commandButton>
            </p:column>
            
            
        </p:dataTable>	
        <p:separator />
    	<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>
    </h:form>
	</ui:define>
</ui:composition>

src/main/webapp/legajo/intervencionIntegral/listadoIntervTabLegajo.xhtml
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core">
        <p:outputLabel value="Medidas de Protección Integral"/>
        <p:separator />
        <p:dataTable id="intervencionIntegralLst" var="ent" value="#{legajoMB.instance.intervencionesMPI}"  emptyMessage="No hay resultados para esa busqueda">
            <p:column  headerText="Fecha" >
                <p:outputLabel value="#{ent.fecha}" >
                	<f:convertDateTime pattern="dd/MM/yyyy" />
                </p:outputLabel>
            </p:column>

            <p:column headerText="Tipo Intervención" >
                <p:outputLabel value="#{ent.tipoIntervencion.descripcion}" />
            </p:column>
            
            <p:column headerText="Archivo Adjunto" >
                <p:commandButton value="Descargar..." ajax="false" 
							onclick="PrimeFaces.monitorDownload(start, stop);" 
							icon="ui-icon-arrowthick-1-s" immediate="true"
							rendered="#{not empty ent.archivoAdjunto}">
        				<p:fileDownload  value="#{intervencionIntegralMB.downloadFile(ent.archivoAdjunto)}" />
    				</p:commandButton>
            </p:column>
            
            <p:column headerText="Usuario Alta">
                <p:outputLabel value="#{ent.datosAuditoria.usuarioAlta.userName}" />
            </p:column>
            
            <p:column>
                <f:facet name="header">
                    <p:outputLabel value="#{legajoMB.puedeEditarMP(ent.datosAuditoria.usuarioAlta.userName)?'Editar':'Consulta'}" />
                </f:facet>
                <p:commandButton id="editII"  action="#{intervencionIntegralMB.edit(ent,true)}" icon="ui-icon-pencil" process="@this" rendered="#{legajoMB.puedeEditarMP(ent.datosAuditoria.usuarioAlta.userName)}">
                	<p:confirm header="Atención" message="Al salir de esta pantalla se perderan los cambios realizados en el legajo. Desea continuar?" icon="ui-icon-alert" />
                </p:commandButton>
                <p:commandButton id="editIIV"  action="#{intervencionIntegralMB.edit(ent,true)}" icon="ui-icon-search" process="@this" rendered="#{!legajoMB.puedeEditarMP(ent.datosAuditoria.usuarioAlta.userName)}">
                </p:commandButton>
            </p:column>
            
            <p:column rendered="#{legajoMB.puedeBorrarMP()}">
                <f:facet name="header">
                    <p:outputLabel value="Borrar" />
                </f:facet>
				<p:commandButton id="delete" icon="ui-icon-trash" action="#{legajoMB.deleteMPI(ent)}" update="intervencionIntegralLst" >
                	<p:confirm header="Atención" message="Está seguro que desea borrar la Integracion de Proteccion Integral?" icon="ui-icon-alert" />
                </p:commandButton>
            </p:column>            
            
        </p:dataTable>	
        <p:separator />
		<p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
        	<p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
        	<p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
    	</p:confirmDialog>  
</ui:composition>